<!doctype html>
<html <?php language_attributes(); ?> class="no-js" lang="en">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
     <?php wp_head(); ?>
  </head>

  <body <?php body_class(); ?>>

<div class="title-bar" data-responsive-toggle="top-menu" data-hide-for="medium">
  <button class="icon-menu" type="button"  data-toggle></button>
    <div class="title-logo">
    <a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) );?> - <?php bloginfo( 'description' ); ?>">
      <?php $logo = rwp('logo'); if (!empty($logo)) { ?>
          <img src="<?php echo rwp('logo'); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>"/> 
        <?php } else { ?> 
            <h1 id="sitetitle"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) );?></h1>
        <?php } ?>
    </a>
   </div>     
</div>

  <nav id="top-menu" class="top-bar" >
    <ul class="menu">
    <li class="topbar-title title-logo show-for-medium">
        <a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) );?> - <?php bloginfo( 'description' ); ?>">
          <?php $logo = rwp('logo'); if (!empty($logo)) { ?>
          <img src="<?php echo rwp('logo'); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?> - <?php bloginfo( 'description' ); ?>"/> 
        <?php } else { ?> 
            <h1 id="sitetitle"><?php echo esc_attr( get_bloginfo( 'name', 'display' ) );?></h1>
        <?php } ?>  
        </a>
    </li>
    </ul>
    <div class="top-bar-left">
      <?php
          wp_nav_menu(array(
              'container' => false,
              'menu' => __( 'Primary Menu', 'richgrid' ),
              'menu_class' => 'dropdown menu',
              'theme_location' => 'primary',
              'items_wrap'      => '<ul id="%1$s" class="vertical medium-horizontal menu" data-responsive-menu="accordion medium-dropdown">%3$s</ul>',
              'fallback_cb' => 'false',
              'walker' => new F6_TOPBAR_MENU_WALKER(),
          ));
      ?>
     </div>

    <div class="top-bar-right">
      <ul id="iconmenu" class="menu">  
          <?php wp_nav_menu( array( 'container' => false, 'fallback_cb' => false, 'items_wrap' => '%3$s', 'menu_id' => 'iconmenu', 'menu_class' => '', 'theme_location' => 'iconmenu', 'depth' => -1 ) ); ?>
                    
          <li id="searchicon" class="icon-search menu-item">
            <a>
              <?php _e( 'Search', 'richgrid' ); ?>
            </a>
            
          </li>
      </ul>
    </div>
  </nav>

<div id="searchwrap">
  <div class= "row">
    <div class="columns small-12">
      <?php get_search_form(); ?>
    </div>
  </div>
</div>

<?php get_template_part( 'headerimages' ); ?>

<?php if (( is_active_sidebar( 'top-widget-area' ) ) && (!( 
      (class_exists('WooCommerce') && is_woocommerce()) ||
      (class_exists('WooCommerce') && is_cart()) ||
      (class_exists('WooCommerce') && is_checkout()) ||
      (class_exists('WooCommerce') && is_account_page()) ||
      (class_exists('WooCommerce') && is_wc_endpoint_url()) 
      ) ) )
      : ?>
      <div id="top-widget-area" class="widget-area" role="complementary">
        <?php dynamic_sidebar( 'top-widget-area' ); ?>
      </div><!-- .top-widget-area -->
<?php endif;  ?>