<?php
// Options Page

	if ( ! function_exists( 'rwp' ) ) :

		function rwp( $name ) {
			$default_theme_options = array(
				'logo' => '',
				'colorhd' => '#000000',
				'colorhdfont' => '#FFFFFF',
				'colorhdfonthover' => '#a8a8a8',
				'color1' => '#e91e63',
				'color2' => '#c2185b',
				'colorfontbuttons' => '#FFFFFF',
				'copyright' =>  '<a href="'.home_url().'">'.get_bloginfo( 'name' ).'</a>',
				'herofeaturedimage' => '',
				'headerimageshop' => '',
				);
		
			$options = wp_parse_args( get_option( 'rwp' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'richgrid_customize_register' );
function richgrid_customize_register( $wp_customize ) {
	
	/* Logo */
			
	$wp_customize->add_setting( 'rwp[logo]', array(
		'default' => rwp( 'logo' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
		'label'   => __( 'Logo Image', 'richgrid' ),
		'section' => 'title_tagline',
		'settings'   => 'rwp[logo]',
		'priority' => 20,
	) ) );
		
	
	$wp_customize->add_section( 'rwp_colors', array(
		'title' => __( 'Colors', 'richgrid' ),
		'priority' => 100,
	) );
	
	$wp_customize->add_setting( 'rwp[colorhd]', array(
		'default' => rwp( 'colorhd' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhd', array(
		'label'   => __( 'Header Color', 'richgrid' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorhd]',
		'priority' => 5,
	) ) );
	
	$wp_customize->add_setting( 'rwp[colorhdfont]', array(
		'default' => rwp( 'colorhdfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfont', array(
		'label'   => __( 'Header Font Color', 'richgrid' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorhdfont]',
		'priority' => 10,
	) ) );

	$wp_customize->add_setting( 'rwp[colorhdfonthover]', array(
		'default' => rwp( 'colorhdfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfonthover', array(
		'label'   => __( 'Header Font Hover Color', 'richgrid' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorhdfonthover]',
		'priority' => 10,
	) ) );

	$wp_customize->add_setting( 'rwp[color1]', array(
		'default' => rwp( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'richgrid' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[color1]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'rwp[color2]', array(
		'default' => rwp( 'color2' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
		'label'   => __( '2. Lead Color', 'richgrid' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[color2]',
		'priority' => 30,
	) ) );
	
	$wp_customize->add_setting( 'rwp[colorfontbuttons]', array(
		'default' => rwp( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'richgrid' ),
		'section' => 'rwp_colors',
		'settings'   => 'rwp[colorfontbuttons]',
		'priority' => 40,
	) ) );

	$wp_customize->add_setting( 'rwp[herofeaturedimage]', array(
		'default' => rwp( 'herofeaturedimage' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'rwp[herofeaturedimage]', array(
		'settings' => 'rwp[herofeaturedimage]',
		'label'    => __( 'Featured Image as Hero Image on Single Post View', 'richgrid' ),
		'section'  => 'header_image',
		'type'     => 'checkbox',
		'priority' => 70,
	) );

	$wp_customize->add_setting( 'rwp[headerimageshop]', array(
		'default' => rwp( 'headerimageshop' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'headerimageshop', array(
		'label'   => __( 'WooCommerce Product Archive Hero Image', 'richgrid' ),
		'section' => 'header_image',
		'settings'   => 'rwp[headerimageshop]',
		'priority' => 80,
	) ) );

    $wp_customize->add_section( 'rwp_misc', array(
		'title' => __( 'Misc.', 'richgrid' ),
		'priority' => 120,
	) );
	
	$wp_customize->add_setting( 'rwp[copyright]', array(
		'default' => rwp( 'copyright' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'richgrid' ),
		'section' => 'rwp_misc',
		'settings' => 'rwp[copyright]',
		'priority' => 30,
	) );
	
} 

function sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

function sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

/* Add CSS */
function add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '13409116');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']; ?>');
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo $richicon_font['base'].".woff?".$richicon_font['version']; ?>') format('woff'),
    url('<?php echo $richicon_font['base'].".ttf?".$richicon_font['version']; ?>') format('truetype'),
    url('<?php echo $richicon_font['base'].".svg?".$richicon_font['version']."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

#top-menu,
.title-bar,
ul.submenu {

	background-color:<?php echo rwp('colorhd');?>;

}

<?php if (rwp('colorhd') == "#ffffff") { ?>.menushop .is-dropdown-submenu a:hover {background: rgba(0,0,0,0.05);}<?php } ?>

.title-bar,
a #sitetitle,
.top-bar a,
#iconmenu li:before,
.menushop .is-dropdown-submenu a ,
.menushop .is-dropdown-submenu a:hover{
	color:<?php echo rwp('colorhdfont');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after,
.top-bar-left .is-accordion-submenu-parent a::after{
  border-color: <?php echo rwp('colorhdfont');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after {
	border-color: transparent transparent transparent <?php echo rwp('colorhdfont');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a::after {
	border-color: transparent <?php echo rwp('colorhdfont');?> transparent;
}
.top-bar a:hover,
.top-bar .current-menu-item a,
.dropdown.menu > li.is-dropdown-submenu-parent > a:hover:after,
#iconmenu li:hover:before{
	color:<?php echo rwp('colorhdfonthover');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-accordion-submenu-parent a:hover:after{
  border-color: <?php echo rwp('colorhdfonthover');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after {
	border-color: transparent transparent transparent <?php echo rwp('colorhdfonthover');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a:hover:after {
	border-color: transparent <?php echo rwp('colorhdfonthover');?> transparent;
}
a,
a:hover,
.postbox a:hover .entry-title,
#sidebar a:hover,
#copyright a:hover,
#footermenu a:hover,
#footer-widget-area a:hover, 
#top-widget-area a:hover,
.pagination-centered .previouspostlinks a:hover, 
.pagination-centered .nextpostlinks a:hover,
.comment-metadata a:hover, 
.fn a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>						
		, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo rwp('color1');?>;
}
.none
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>, 
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt<?php } } ?>
	{
	background:<?php echo rwp('color1');?>;
}
.button,
.button:hover, 
.button:focus,
.add_to_cart_button:hover,
.add_to_cart_button:focus,
.comment-list .reply a,
.comment-list .reply a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>,
		.woocommerce ul.products li.product .button,
		.woocommerce input.button:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo rwp('color2');?>;
	color: <?php echo rwp('colorfontbuttons');?>;
}
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
			.woocommerce a.added_to_cart:before{
				color:<?php echo rwp('color2');?>;
			} 
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo rwp('color2');?>;
			} 
<?php 	} } ?>
.entry-content a.more-link,
.button,
.comment-list .reply a,
.comment-list .reply a:hover,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo rwp('colorfontbuttons');?>;
}
</style>
<?php } add_action('wp_head', 'add_styles'); ?>